      module mod_dav
      integer,parameter :: ngru3=2048
      integer,save :: dim_heff!,kvec,kk
!      real(8),save :: pcas=0.d0
!      integer,allocatable,dimension(:),save :: b
!      double precision,allocatable,dimension(:),save :: ab
      double precision,dimension(ngru3) :: diag
      double precision,allocatable,dimension(:,:) :: bab
      double precision,allocatable,dimension(:) :: alam,sumq
      end module
 
